Skip to main content
POST
/
addresses
/
take
curl --request POST \
  --url https://app.cryptoprocessing.com/api/v2/addresses/take \
  --header 'Content-Type: application/json' \
  --header 'X-Processing-Key: <api-key>' \
  --header 'X-Processing-Signature: <x-processing-signature>' \
  --data '
{
  "currency": "BTC",
  "foreign_id": "test_foreign_id",
  "end_user_reference": "test_end_user_reference",
  "sender_type": "legal",
  "sender_data": {
    "legal_name": "Example GmbH",
    "country_of_registration": "DEU"
  }
}
'
{
  "data": {
    "id": 240407213,
    "currency": "BTC",
    "address": "tb1qfdxh6gkfr0qgyatnlkd8khcnxph9tw06n6qwjc",
    "tag": null,
    "foreign_id": "test_foreign_id",
    "end_user_reference": "test_end_user_reference"
  }
}
Deposits sent to this address are attributed to the user identified by foreign_id.
CryptoProcessing is required to collect sender data in compliance with the MiCA regulations. For more details, see About user data collection. The sender_data and the end_user_reference you provide must be associated with the same customer.

Authorizations

X-Processing-Key
string
header
required

Your API key.

Headers

X-Processing-Signature
string
required

Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.

Body

application/json
currency
string
required

The currency to receive. For a list of all available currencies, see API currency codes.

foreign_id
string
required

The unique ID of the customer who will be depositing to this address. It will be returned with every callback to make it easy for you to identify the customer within your system. The same foreign_id can be reused across multiple addresses that belong to the same customer. This parameter must not include any personal data.

end_user_reference
string
required

A persistent internal user ID used to track all requests for the same end user. Must be consistent across requests and must not contain personal data, such as the user's name or email address. Put customer personal details in sender_data.

sender_type
enum<string>
required

Whether the sender is a natural person (natural) or a legal entity (legal).

Available options:
natural,
legal
sender_data
object
required

If the sender is a natural person, include their first_name, last_name, date_of_birth and email. If the sender is a legal entity, include the legal_name, country_of_registration and email.

convert_to
string

Automatically convert all deposits to this currency. If omitted, no automatic conversion is applied.

Response

Created

data
object
Last modified on April 28, 2026